0

I had problem of black screen after login. I resolved it and could login but I have not desktop (is black). unity is lost. (Ubuntu 16.04). I can not installed anything using apt-get. I installed python3.7.

sudo apt-get install <anything>

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 apt-xapian-index : Depends: python3-xapian (>= 1.4.3-1)
 blueman : Depends: libpython3.6 (>= 3.6.0~b2) but it is not going to be installed
 gir1.2-gtk-3.0 : Depends: libgtk-3-0 (>= 3.24.3) but 3.18.9-1ubuntu3.3 is to be installed
 gir1.2-pango-1.0 : Depends: libpango-1.0-0 (>= 1.42.0) but 1.38.1-1 is to be installed
 libgdk-pixbuf2.0-dev : Depends: gir1.2-gdkpixbuf-2.0 (= 2.36.11-2) but 2.32.2-1ubuntu1.6 is to be installed
                        Depends: libpng-dev (>= 1.6)
                        Depends: libpng-dev (< 1.7)
 libglib2.0-bin : Depends: libglib2.0-0 (= 2.56.3-0ubuntu0.18.04.1) but 2.48.2-0ubuntu4.1 is to be installed
 libglib2.0-dev : Depends: libglib2.0-0 (= 2.56.3-0ubuntu0.18.04.1) but 2.48.2-0ubuntu4.1 is to be installed
 libglib2.0-dev-bin : Depends: python3-distutils but it is not installable
 libpango1.0-dev : Depends: gir1.2-pango-1.0 (= 1.38.1-1) but 1.42.4-6 is to be installed
 librhythmbox-core10 : Depends: libgtk-3-0 (>= 3.20.0) but 3.18.9-1ubuntu3.3 is to be installed
                       Depends: libtotem-plparser18 (>= 3.26.0) but 3.10.6-1ubuntu1 is to be installed
 nautilus-sendto : Depends: nautilus (>= 1:2.91) but it is not going to be installed
 onboard : Depends: onboard-common (< 1.4.1-2ubuntu1.1) but it is not installable
           Depends: onboard-common (>= 1.4.1-2ubuntu1) but it is not installable
           Depends: libhunspell-1.6-0 but it is not installable
           Recommends: onboard-data (>= 1.4.1-2ubuntu1) but 1.2.0-0ubuntu5 is to be installed
 python-apt : Depends: libapt-inst2.0 (>= 1.6.5~) but 1.2.31 is to be installed
              Depends: libapt-pkg5.0 (>= 1.6.5~) but 1.2.31 is to be installed
 python3-apt : Depends: libapt-inst2.0 (>= 1.6.5~) but 1.2.31 is to be installed
               Depends: libapt-pkg5.0 (>= 1.6.5~) but 1.2.31 is to be installed
 python3-cryptography : Depends: python3-asn1crypto (>= 0.21.0~) but it is not installable
                        Depends: python3-idna (>= 2.1) but 2.0-3 is to be installed
                        Depends: libssl1.1 (>= 1.1.0) but it is not installable
 python3-dev : Depends: libpython3-dev (= 3.6.7-1~18.04) but 3.5.1-3 is to be installed
               Depends: python3.6-dev (>= 3.6.7-1~) but it is not going to be installed
               Depends: python3-distutils (>= 3.6.7-1~) but it is not installable
 python3-gdbm : Depends: libgdbm5 (>= 1.14) but it is not installable
 python3-systemd : Depends: libsystemd0 (>= 233) but 229-4ubuntu21.19 is to be installed
 python3-venv : Depends: python3.6-venv (>= 3.6.7-1~) but it is not going to be installed
                Depends: python3-distutils (>= 3.6.7-1~) but it is not installable
 rhythmbox : Depends: librhythmbox-core10 (= 3.4.2-4ubuntu1) but 3.4.3-2 is to be installed
             Recommends: rhythmbox-plugin-alternative-toolbar but it is not going to be installed
 rhythmbox-plugins : Depends: libgrilo-0.3-0 (>= 0.3.0) but it is not installable
                     Depends: liblirc-client0 but it is not installable
                     Depends: librhythmbox-core10 (= 3.4.2-4ubuntu1) but 3.4.3-2 is to be installed
                     Depends: libtotem-plparser18 (>= 3.26.0) but 3.10.6-1ubuntu1 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

There is above error for any command like sudo apt-get -f install. And this is update command output:

sudo apt-get update

Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Hit:2 http://ir.archive.ubuntu.com/ubuntu xenial InRelease                                      
Hit:3 http://ir.archive.ubuntu.com/ubuntu xenial-updates InRelease                              
Hit:4 http://ir.archive.ubuntu.com/ubuntu xenial-backports InRelease                                                           
Ign:5 http://dl.google.com/linux/deb stable InRelease                                                                          
Hit:6 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu xenial InRelease                                   
Ign:7 http://dl.google.com/linux/chrome/deb stable InRelease                                     
Hit:8 http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu xenial InRelease
Ign:9 http://dl.google.com/linux/deb stable Release
Hit:10 http://dl.google.com/linux/chrome/deb stable Release
Ign:11 http://dl.google.com/linux/deb stable/non-free Sources
Ign:12 http://dl.google.com/linux/deb stable/main Sources
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages
Ign:23 http://dl.google.com/linux/deb stable/main all Packages
Ign:24 http://dl.google.com/linux/deb stable/main Translation-en_US
Ign:25 http://dl.google.com/linux/deb stable/main Translation-en
Ign:26 http://dl.google.com/linux/deb stable/main amd64 DEP-11 Metadata
Ign:27 http://dl.google.com/linux/deb stable/main DEP-11 64x64 Icons
Ign:11 http://dl.google.com/linux/deb stable/non-free Sources                                                                                                            
Ign:12 http://dl.google.com/linux/deb stable/main Sources                                                                                                                
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages                                                                                                     
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages                                                                                                      
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages                                                                                                       
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US                                                                                                  
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en                                                                                                     
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata                                                                                              
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons                                                                                                 
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages                                                                                                         
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages                                                                                                          
Ign:23 http://dl.google.com/linux/deb stable/main all Packages                                                                                                           
Ign:24 http://dl.google.com/linux/deb stable/main Translation-en_US                                                                                                      
Ign:25 http://dl.google.com/linux/deb stable/main Translation-en                                                                                                         
Ign:26 http://dl.google.com/linux/deb stable/main amd64 DEP-11 Metadata                                                                                                  
Ign:27 http://dl.google.com/linux/deb stable/main DEP-11 64x64 Icons                                                                                                     
Ign:11 http://dl.google.com/linux/deb stable/non-free Sources                                                                                                            
Ign:12 http://dl.google.com/linux/deb stable/main Sources                                                                                                                
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages                                                                                                     
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages                                                                                                      
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages                                                                                                       
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US                                                                                                  
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages
Ign:23 http://dl.google.com/linux/deb stable/main all Packages
Ign:24 http://dl.google.com/linux/deb stable/main Translation-en_US
Ign:25 http://dl.google.com/linux/deb stable/main Translation-en
Ign:26 http://dl.google.com/linux/deb stable/main amd64 DEP-11 Metadata
Ign:27 http://dl.google.com/linux/deb stable/main DEP-11 64x64 Icons
Ign:11 http://dl.google.com/linux/deb stable/non-free Sources
Ign:12 http://dl.google.com/linux/deb stable/main Sources
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages
Ign:23 http://dl.google.com/linux/deb stable/main all Packages
Ign:24 http://dl.google.com/linux/deb stable/main Translation-en_US
Ign:25 http://dl.google.com/linux/deb stable/main Translation-en
Ign:26 http://dl.google.com/linux/deb stable/main amd64 DEP-11 Metadata
Ign:27 http://dl.google.com/linux/deb stable/main DEP-11 64x64 Icons
Ign:11 http://dl.google.com/linux/deb stable/non-free Sources
Ign:12 http://dl.google.com/linux/deb stable/main Sources
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages
Ign:23 http://dl.google.com/linux/deb stable/main all Packages
Ign:24 http://dl.google.com/linux/deb stable/main Translation-en_US
Ign:25 http://dl.google.com/linux/deb stable/main Translation-en
Ign:26 http://dl.google.com/linux/deb stable/main amd64 DEP-11 Metadata
Ign:27 http://dl.google.com/linux/deb stable/main DEP-11 64x64 Icons
Err:11 http://dl.google.com/linux/deb stable/non-free Sources
  404  Not Found
Ign:12 http://dl.google.com/linux/deb stable/main Sources
Ign:13 http://dl.google.com/linux/deb stable/non-free amd64 Packages
Ign:15 http://dl.google.com/linux/deb stable/non-free i386 Packages
Ign:16 http://dl.google.com/linux/deb stable/non-free all Packages
Ign:17 http://dl.google.com/linux/deb stable/non-free Translation-en_US
Ign:18 http://dl.google.com/linux/deb stable/non-free Translation-en
Ign:19 http://dl.google.com/linux/deb stable/non-free amd64 DEP-11 Metadata
Ign:20 http://dl.google.com/linux/deb stable/non-free DEP-11 64x64 Icons
Ign:21 http://dl.google.com/linux/deb stable/main amd64 Packages
Ign:22 http://dl.google.com/linux/deb stable/main i386 Packages
Fetched 109 kB in 28s (3,878 B/s)
Reading package lists... Done
W: The repository 'http://dl.google.com/linux/deb stable Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://dl.google.com/linux/deb/dists/stable/non-free/source/Sources  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

Should I install mentioned packages like python3-xapian one by one? Is it wise? I even run command: sudo apt-get install --reinstall python3 that does not work.

  • Truly installed python 3.7 in /usr/local/bin. Is it important? – ParisaN Apr 7 '19 at 12:22
  • Can you run apt upgrade? – NerdOfLinux Apr 10 '19 at 15:18
  • No, I cannot run any command. – ParisaN Apr 12 '19 at 7:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.